Mehr

MCC-LiDAR-Fehler: Version Minor außerhalb des zulässigen Bereichs


Ich versuche, das MCC-LiDAR-Tool zu verwenden, aber ich kann es nicht zum Laufen bringen.

Beispiel, wenn ich tippe:

C:>mcc-lidar -s 1 -t 1 TMR_428_63.las output_filename.las

Ich erhalte folgende Fehlermeldung:

Interner Programmfehler: Version Minor außerhalb des zulässigen Bereichs

Was mache ich falsch? Die letzte Dateiversion, die ich verwende, ist 1.4.


Entschuldigung, dies ist das unglückliche Ergebnis einer veralteten Software und ich bin mir nicht sicher, ob Sie dies umgehen können, ohne zu einer früheren Version von LAS (1.1 - 1.3) zurückzukehren. Um die Spezifikationen von LAS 1.4 zu zitieren "LAS 1.4 verschiebt die Dateispezifikation von einer 32-Bit-Dateistruktur in eine 64-Bit-Dateistruktur". Diese Spezifikation von LAS wurde ebenfalls geändert, um Wellenformpaketinformationen zu unterstützen. Aufgrund dieser Probleme ist das 1.4-Format kein kompatibles Format mit MCC, wahrscheinlich aufgrund von Änderungen in den öffentlichen Header-Definitionen.

Die MCC-Software wird nicht mehr aktiv weiterentwickelt, dies wird also nicht behoben. Es ist möglich, den Quellcode herunterzuladen und entsprechend zu ändern (sollte nur einige Änderungen an der Analyse der las-Datei vornehmen). Die Problemumgehung, die ich empfehlen kann, ist die Rückwärtsversionierung der Daten in eine unterstützte Version von LAS.


Schau das Video: MONSTRUMI - namerno TRUJU PČELE u semenskoj lucerci - treba kazniti takve ljude - da li je uopšte.. (Oktober 2021).